Skip to Content

POST Zones

Use this endpoint to create a new zone within a branch.

User level: Advanced

Endpoint

POST /v1/{scopeId}/zones
PropertyValue
MethodPOST
Scope IDBranch UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:zones:write
Content-Typeapplication/json
Request bodyJSON object

Create rules

  • Zones are branch-or-null resources, but the request still uses a branch UUID in the URL.
  • organization_id and branch_id are set server-side.

Allowed create fields

Field
name
code
status
country_code
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/zones" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "name": "Benelux", "code": "BENELUX", "status": "active", "country_code": "NL" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440081", "name": "Benelux", "code": "BENELUX", "status": "active", "country_code": "NL" }, "version": "v1" }
Last updated on